# my_dataset.yaml
path: ./Data  # 数据集根路径
train: images/train  # 训练集图片目录
val: images/train  # 如果没有验证集，可暂用训练集代替
# ※ label放置位置 ※
# 放在 labels 目录下，格式为：
# - labels/train/*.txt
# 或者还放在images/train/*.txt中

# 针对8bit PNG格式
# 类别名，按你的实际颜色映射定义（可继续补充）
names:
  0: class_0
  1: class_1
  2: class_2
  3: class_3
  4: class_4


# # 针对TXT格式
# names:
#   0: background       # 默认第0类是背景
#   1: class_0
#   2: class_1

# 分割任务专用字段
# 如果你的 mask 是单通道 PNG（如 labelTrainIds.png），确保它们是 8-bit 灰度图
# Ultralytics YOLO 会自动根据 names 映射类别